%define        _class           MDB2
%define        _subclass        Driver_mysql
%define        upstream_name    %{_class}_%{_subclass}

%define			beta b4

Name:           php-pear-%{upstream_name}
Version:        1.5.0
Release:        0.0.%{beta}
Summary:	Mysql MDB2 driver
License:        PHP License
Group:          Development/PHP
URL:            http://pear.php.net/package/MDB2_Driver_mysql/
Source0:        http://download.pear.php.net/package/MDB2_Driver_mysql-%{version}%{beta}.tgz
Requires:       php-mysql
Requires(post): php-pear
Requires(preun): php-pear
Requires:       php-pear
BuildRequires:  php-pear
BuildArch:      noarch
Epoch:		1

%description
MDB2 MySQL driver.

%prep
%setup -q -c -n %{name}-%{version}%{beta}
mv package.xml %{upstream_name}-%{version}%{beta}/%{upstream_name}.xml

%install
%{__rm} -rf %{buildroot}

cd %{upstream_name}-%{version}%{beta}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean



%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog
* Wed Mar 20 2013 Denis Silakov <denis.silakov@rosalab.ru> 1:1.5.0-0.0.b4
+ Revision: ab1bf05
- Fix version


